Create a batch from rows
Validate every row and report what cannot run. Nothing is paid here. The response carries the per-line errors so a bad file is fixed before any money is committed.
Validate every row and report what cannot run.
Nothing is paid here. The response carries the per-line errors so a bad file is fixed before any money is committed.
Authorization
OAuth2PasswordBearer In: header
Cookie Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/b/v1/payout-batches" \ -H "Content-Type: application/json" \ -d '{ "name": "August salaries", "currency": "RWF", "rows": [ { "amount_minor": "15000000", "method": "mobile_money", "transaction_type": "b2p" } ] }'{ "batch": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "source": "string", "currency": "string", "status": "validating", "total_lines": 0, "valid_lines": 0, "invalid_lines": 0, "total_minor": 0, "approval_id": "15af2260-72db-4fc4-b587-6b841d6a3d55", "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" }, "line_errors": [ { "line_number": 0, "errors": [ { "property1": "string", "property2": "string" } ], "raw": {} } ]}